Re: Rasterio 1.0.14

Madhav Desetty
 

I setup rasterio 1.0.14 and try to do a rasterio.open with gs:// url and I get following error. I did set GOOGLE_APPLICATION_CREDENTIALS to json key file. What am I missing?

>>> import rasterio
>>> import rasterio as rio
>>> fp = rio.open("gs://pdd-stac/disasters/hurricane-harvey/0831/20170831_172754_101c_3b_Visual.tif")
Traceback (most recent call last):
  File "rasterio/_base.pyx", line 198, in rasterio._base.DatasetBase.__init__
  File "rasterio/_shim.pyx", line 64, in rasterio._shim.open_dataset
  File "rasterio/_err.pyx", line 205, in rasterio._err.exc_wrap_pointer
rasterio._err.CPLE_OpenFailedError: gs://pdd-stac/disasters/hurricane-harvey/0831/20170831_172754_101c_3b_Visual.tif: No such file or directory
 
During handling of the above exception, another exception occurred:
 
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Users/madhavdesetty/.pyenv/versions/3.6.5/envs/venv365/lib/python3.6/site-packages/rasterio/env.py", line 421, in wrapper
    return f(*args, **kwds)
  File "/Users/madhavdesetty/.pyenv/versions/3.6.5/envs/venv365/lib/python3.6/site-packages/rasterio/__init__.py", line 216, in open
    s = DatasetReader(path, driver=driver, **kwargs)
  File "rasterio/_base.pyx", line 200, in rasterio._base.DatasetBase.__init__
rasterio.errors.RasterioIOError: gs://pdd-stac/disasters/hurricane-harvey/0831/20170831_172754_101c_3b_Visual.tif: No such file or directory
>>> rio.__version__
'1.0.14'
 
 

Join main@rasterio.groups.io to automatically receive all group messages.